%global forgeurl https://github.com/eworm-de/journal-notify
%global tag 0.1.2

Version:       %{tag}
Name:          journal-notify
%forgemeta
Release:       %autorelease
License:       GPL-3.0-or-later
Summary:       Produces notifications whenever systemd journal logs an entry
URL:           %{forgeurl}
Source:        %{forgesource}
Source1:       journal-notify@.service

BuildRequires: gcc
BuildRequires: libnotify-devel
BuildRequires: systemd-devel
BuildRequires: gnome-icon-theme
BuildRequires: discount
BuildRequires: systemd-rpm-macros

%description
This runs in the background and produces notifications 
whenever systemd journal logs an entry.

%package doc
Summary: Produces notifications whenever systemd journal logs an entry - docs
BuildArch:    noarch
Requires:     %{name} = %{version}-%{release}

%description doc
This runs in the background and produces notifications 
whenever systemd journal logs an entry.
Documentation


%prep
%forgesetup
cp -p %{SOURCE1} .

# Correct compiler flags to fedora
sed -i "0,/^CFLAGS.*/s|^CFLAGS.*$|CFLAGS = %{optflags}|"         Makefile
sed -i "0,/^LDFLAGS.*/s|^LDFLAGS.*$|LDFLAGS = %{build_ldflags}|" Makefile


%build
%make_install

%install
%make_install
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 journal-notify@.service %{buildroot}%{_unitdir}/journal-notify@.service

%post
%systemd_post journal-notify@*.service

%preun
%systemd_preun journal-notify@*.service

%postun
%systemd_postun_with_restart journal-notify@*.service

%files
%{_bindir}/journal-notify
%{_datadir}/journal-notify/desktop/journal-notify-crit-alert-emerg.desktop
%{_datadir}/journal-notify/desktop/journal-notify-dhcpd.desktop
%{_datadir}/journal-notify/desktop/journal-notify-sshd.desktop
%{_datadir}/journal-notify/execute/echo.sh
%{_datadir}/journal-notify/execute/mail.sh
%{_datadir}/journal-notify/systemd/journal-notify-sshd.service
%{_unitdir}/journal-notify@.service
%doc README.md
%license COPYING.md

%files doc
%doc %{_docdir}/%{name}/README.html
%dir %{_docdir}/%{name}/screenshots
%doc %{_docdir}/%{name}/screenshots/notification.png
%doc %{_docdir}/%{name}/screenshots/throttling.png

%changelog
%autochangelog

